site_name: DDDSシステム設計書
site_description: ドナーデータ伝送・管理システム（DDDS）の詳細設計書
site_author: DDDS Development Team

theme:
  name: material
  language: ja
  palette:
    # Light mode
    - media: "(prefers-color-scheme: light)"
      scheme: default
      primary: indigo
      accent: indigo
      toggle:
        icon: material/brightness-7
        name: ダークモードに切り替え
    # Dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: indigo
      accent: indigo
      toggle:
        icon: material/brightness-4
        name: ライトモードに切り替え
  features:
    - navigation.tabs
    - navigation.tabs.sticky
    - navigation.sections
    - navigation.expand
    - navigation.path
    - navigation.top
    - navigation.tracking
    - navigation.indexes
    - toc.follow
    - toc.integrate
    - search.suggest
    - search.highlight
    - search.share
    - content.code.copy
    - content.code.annotate

plugins:
  - search:
      lang:
        - ja
        - en
  - tags

markdown_extensions:
  - abbr
  - admonition
  - attr_list
  - def_list
  - footnotes
  - md_in_html
  - tables
  - toc:
      permalink: true
      toc_depth: 4
  - pymdownx.arithmatex:
      generic: true
  - pymdownx.betterem:
      smart_enable: all
  - pymdownx.caret
  - pymdownx.details
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.keys
  - pymdownx.mark
  - pymdownx.smartsymbols
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - pymdownx.tabbed:
      alternate_style: true
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.tilde

nav:
  - ホーム:
    - index.md

  - アーキテクチャ:
    - architecture/overview.md
    - architecture/technology-stack.md
    - architecture/subdomain-structure.md
    - architecture/branch-routing.md

  - データベース:
    - database/overview.md
    - database/er-diagram.md
    - AMED出力テーブル:
      - database/tables/amed/amed_liver.md
      - database/tables/amed/amed_kidney.md
    - 移植管理テーブル:
      - database/tables/transplant/t_ishoku_kihon.md
      - database/tables/transplant/t_ishoku_kihon_liv.md
      - database/tables/transplant/t_ishoku_kihon_liver_liv.md
      - database/tables/transplant/t_ishoku_kihon_kidney_liv.md
      - database/tables/transplant/t_donor_liv.md
      - database/tables/transplant/t_donor_liver_liv.md
      - database/tables/transplant/t_donor_kidney_liv.md
    - マスタテーブル:
      - database/tables/master/account_tbl.md
      - database/tables/master/institution_mst.md
      - database/tables/master/mcd_mst.md
    - ログテーブル:
      - database/tables/logs/access_log_tbl.md
      - database/tables/logs/session_tbl.md

  - 機能仕様:
    - features/overview.md
    - features/authentication.md
    - 本部機能（HQ）:
      - features/hdqrs/overview.md
      - features/hdqrs/access-log.md
      - features/hdqrs/account-management.md
      - features/hdqrs/box-integration.md
      - features/hdqrs/cron-jobs.md
    - コーディネータ機能:
      - features/brnch/overview.md
      - features/brnch/donor-management.md
    - 移植施設機能（死体）:
      - features/ddds/overview.md
      - features/ddds/cadaveric-transplant.md
      - features/ddds/living-donor-transplant.md
      - features/ddds/report-transplant.md
    - 移植施設機能（生体/TRACER）:
      - features/tracer/overview.md
      - features/tracer/living-donor-transplant.md

  - 処理フロー:
    - flows/authentication-flow.md
    - flows/operational-flow.md
    - flows/cadaveric-transplant-flow.md
    - flows/living-transplant-flow.md
    - flows/csv-export-flow.md

  - 外部インターフェース:
    - interfaces/http-endpoints.md
    - interfaces/box-api.md
    - interfaces/csv-import-export.md

  - セキュリティ:
    - security/csrf-protection.md
    - security/session-management.md
    - security/access-control.md

  - エラーハンドリング:
    - error-handling/error-pages.md
    - error-handling/maintenance-mode.md
    - error-handling/logging.md

  - データ移行:
    - migration/overview.md
    - migration/impact-analysis.md
    - migration/liver-migration.md
    - migration/kidney-migration.md
    - migration/maintenance-procedure.md

  - 運用:
    - operations/deployment.md
    - operations/monitoring.md
    - operations/backup-restore.md

  - リファレンス:
    - reference-functions.md
    - reference-urls.md
    - reference-tables.md
    - reference-programs.md

  - 変更履歴:
    - changelog.md

extra:
  social:
    - icon: fontawesome/solid/building
      link: https://www.jotnw.or.jp/
      name: Japan Organ Transplant Network

extra_css:
  - stylesheets/extra.css

copyright: Copyright &copy; 2025 DDDS Development Team
